const scanEffect = {
  getTestDevices() {
    return [{ ip: '192.168.43.140', mac: '00:1A:2B:3C:4D:5E', ports: [22] }];
  },

  async fetchLocalInfo({ setLocalIp, subnet, setSubnet }) {
    setLocalIp('192.168.43.0');
    if (!subnet) {
      const ipParts = '192.168.43.0'.split('.');
      setSubnet(`${ipParts[0]}.${ipParts[1]}.${ipParts[2]}.0/24`);
    }
  },
};

export default scanEffect;
